org.apache.sling.auth.xing.login.impl

## Class XingLoginLoginModulePlugin

- java.lang.Object
- - org.apache.sling.auth.xing.login.impl.XingLoginLoginModulePlugin

All Implemented Interfaces:
  org.apache.sling.jcr.jackrabbit.server.security.LoginModulePlugin

    @Service
    @Properties(value={@Property(name="service.vendor",value="The Apache Software Foundation"),@Property(name="service.description",value="Login Module Plugin for Sling Authentication XING Login"),@Property(name="service.ranking",intValue=0,propertyPrivate=false)})
    public class XingLoginLoginModulePlugin
    extends Object
    implements org.apache.sling.jcr.jackrabbit.server.security.LoginModulePlugin

### Field Summary

### Fields inherited from interface org.apache.sling.jcr.jackrabbit.server.security.LoginModulePlugin

`IMPERSONATION_DEFAULT, IMPERSONATION_FAILED, IMPERSONATION_SUCCESS`

### Constructor Summary

Constructors
Constructor and Description
`XingLoginLoginModulePlugin()`

### Method Summary

Methods
`void` `addPrincipals(Set set)`
`boolean` `canHandle(javax.jcr.Credentials credentials)`
`void` `doInit(CallbackHandler callbackHandler, javax.jcr.Session session, Map map)`
`org.apache.sling.jcr.jackrabbit.server.security.AuthenticationPlugin` `getAuthentication(Principal principal, javax.jcr.Credentials credentials)`
`Principal` `getPrincipal(javax.jcr.Credentials credentials)`
`int` `impersonate(Principal principal, javax.jcr.Credentials credentials)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XingLoginLoginModulePlugin

    public XingLoginLoginModulePlugin()

### Method Detail

#### canHandle

    public boolean canHandle(javax.jcr.Credentials credentials)

Specified by:
  `canHandle` in interface `org.apache.sling.jcr.jackrabbit.server.security.LoginModulePlugin`

#### doInit

    public void doInit(CallbackHandler callbackHandler,
              javax.jcr.Session session,
              Map map)
                throws LoginException

Specified by:
  `doInit` in interface `org.apache.sling.jcr.jackrabbit.server.security.LoginModulePlugin`
Throws:
  `LoginException`

#### getPrincipal

    public Principal getPrincipal(javax.jcr.Credentials credentials)

Specified by:
  `getPrincipal` in interface `org.apache.sling.jcr.jackrabbit.server.security.LoginModulePlugin`

#### addPrincipals

    public void addPrincipals(Set set)

Specified by:
  `addPrincipals` in interface `org.apache.sling.jcr.jackrabbit.server.security.LoginModulePlugin`

#### getAuthentication

    public org.apache.sling.jcr.jackrabbit.server.security.AuthenticationPlugin getAuthentication(Principal principal,
                                                                                         javax.jcr.Credentials credentials)
                                                                                           throws javax.jcr.RepositoryException

Specified by:
  `getAuthentication` in interface `org.apache.sling.jcr.jackrabbit.server.security.LoginModulePlugin`
Throws:
  `javax.jcr.RepositoryException`

#### impersonate

    public int impersonate(Principal principal,
                  javax.jcr.Credentials credentials)
                    throws javax.jcr.RepositoryException,
                           FailedLoginException

Specified by:
  `impersonate` in interface `org.apache.sling.jcr.jackrabbit.server.security.LoginModulePlugin`
Throws:
  `javax.jcr.RepositoryException`
  `FailedLoginException`